> ## Documentation Index
> Fetch the complete documentation index at: https://developers.everhour.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Section

> Delete a section. Tasks in the section are kept but become section-less.



## OpenAPI

````yaml /openapi.json delete /sections/{section_id}
openapi: 3.1.1
info:
  title: Everhour API
  version: 1.0.0
  license:
    name: Proprietary
    identifier: LicenseRef-Proprietary
servers:
  - url: https://api.everhour.com
security:
  - ApiKeyAuth: []
tags:
  - name: Clients
  - name: Custom Fields
  - name: Expenses
  - name: Invoices
  - name: Projects
  - name: Reports
  - name: Schedule
  - name: Tasks
  - name: Time Off
  - name: Time Records
  - name: Timecards
  - name: Timers
  - name: Timesheets
  - name: Users
  - name: Webhooks
paths:
  /sections/{section_id}:
    delete:
      tags:
        - Projects
      summary: Delete Section
      description: Delete a section. Tasks in the section are kept but become section-less.
      operationId: deleteSection
      parameters:
        - name: section_id
          in: path
          required: true
          description: Section ID
          schema:
            type: number
            example: 349235
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                preserveTasks:
                  type: boolean
                  description: Keep the section's tasks instead of deleting them.
                  example: false
                section:
                  type: integer
                  description: Section ID to move the preserved tasks into.
      responses:
        '204':
          description: No Content
        '401':
          description: Unauthorized
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

````